Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version10

# Class V10WireOperations

java.lang.Object
org.firebirdsql.gds.ng.wire.AbstractWireOperations
org.firebirdsql.gds.ng.wire.version10.V10WireOperations

All Implemented Interfaces:
  `FbWireOperations`

Direct Known Subclasses:
  `V11WireOperations`

public class V10WireOperations extends AbstractWireOperations

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`FbWireOperations.ProcessAttachCallback`

## Constructor Summary

Constructors
Constructor
Description
`V10WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

## Method Summary

Modifier and Type
Method
Description
`void`
`authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket, DbCryptCallback dbCryptCallback, FbWireOperations.ProcessAttachCallback processAttachCallback)`
Receive authentication response from the server.

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

`addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, handleCryptKeyCallback, processOperation, processResponse, processResponseWarnings, readBatchCompletionResponse, readGenericResponse, readInlineBlobResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, withTransmitLock, writeDirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`completeDeferredActions, enqueueDeferredAction, processDeferredActions`

## Constructor Details

### V10WireOperations

public V10WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)

## Method Details

### authReceiveResponse

public void authReceiveResponse(FbWireAttachment.AcceptPacket acceptPacket, DbCryptCallback dbCryptCallback, FbWireOperations.ProcessAttachCallback processAttachCallback) throws IOException, SQLException
Description copied from interface: `FbWireOperations`
Receive authentication response from the server.

This method is only relevant for protocol V13 or higher.

Parameters:
  `acceptPacket` - Packet with `op_cond_accept` data, or `null` when the data should be read from the connection.
  `dbCryptCallback` - Database encryption callback (ignored by protocols v12 and lower)
  `processAttachCallback` - Callback for processing the final attach response
Throws:
  `IOException` - For errors reading the response from the connection.
  `SQLException` - For errors returned from the server, or when attempting to read.